"equal intervals" and "pretty breaks" do not work for joined fields

2012-06-07 10:15 AM - stefano nardone

Status: Closed

Priority: Normal

Assignee: Marco Hugentobler

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 15265

Description

When making joins between a layer with geometries, to a table without geometry columns (all residing in PostGIS), if I choose to make a

graduate classify with equal intervals on a numeric data field the classes are all filled with zeros. 'Preatty breaks' mode also do nothing of

useful to classify, as shows no results. If I chose other classify modes it works well (Natural breaks). Happens with 1.7.4 in Windows (XP)

and 1.8 master with Ubuntu 12.04 64

History

#1 - 2012-06-07 02:19 PM - Giovanni Manghi

- Subject changed from Graduated classify for joins to "equal intervals" and "pretty breaks" do not work for joined fields

I can confirm this.

#2 - 2012-09-04 12:06 PM - Paolo Cavallini

- Target version set to Version 2.0.0

#3 - 2012-11-28 10:30 PM - Minoru Akagi

- File testdata.zip added

Added a simple test dataset (shp+xls). Minimum/Maximum values of each columns of joined table seem to be incorrect.

#4 - 2012-11-29 03:46 PM - Minoru Akagi

- File joined_minmax.patch added

Added a patch

#5 - 2012-11-30 03:31 AM - Giovanni Manghi

- Pull Request or Patch supplied changed from No to Yes

- Assignee set to Marco Hugentobler

#6 - 2013-04-17 08:04 PM - Minoru Akagi

Works fine on master (17d8007)

Tested with: PostGIS + PostGIS (no geometry), Spatialite + Spatialite (no geometry), Shapefile + XLS
#7 - 2014-03-28 01:50 AM - Alexander Bruy

- OS version deleted (12.04)

- Status changed from Open to Closed

- Operating System deleted (Ubuntu)

- Resolution set to fixed/implemented

Seems fixed in master.
